Bug 611582 - Patch to correct undefined variables in python-markdown
Summary: Patch to correct undefined variables in python-markdown
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-markdown   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-05 19:12 UTC by Toshio Ernie Kuratomi
Modified: 2011-12-17 21:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-17 21:47:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Toshio Ernie Kuratomi 2010-07-05 19:12:26 UTC
Description of problem:
I was looking at updating a bundled copy of python-markdown in webhelpers for upstream and found some undefined variables.  I've submitted a patch to upstream and figured I should mention it here as well.

http://gitorious.org/python-markdown/toshios-mainline/commit/cf1e33c216b1ea5ce18f660025744d9f8b66fb7c

I didn't analyze the code too closely so I don't know what conditions will lead to the bugs being tripped.

Version-Release number of selected component (if applicable):
python-markdown-2.0.3-1.fc13.noarch

Comment 1 Thomas Moschny 2010-07-05 21:02:27 UTC
Where did you open the ticket? Was looking in the Pylons Trac as well as in the markdown bug tracker, but couldn't find it.

Comment 2 Toshio Ernie Kuratomi 2010-07-05 21:59:46 UTC
No ticket as I couldn't find the markdown bug tracker.  If you've found that, feel free to open an issue and link to that branch.

I just requested a merge to mainline with information about what the changeset achieves.

Comment 3 Bug Zapper 2010-07-30 12:27:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Thomas Moschny 2011-11-21 22:10:57 UTC
Looking at https://github.com/waylan/Python-Markdown I think these bugs will all be fixed in 2.1.0.

Comment 5 Thomas Moschny 2011-12-17 21:47:52 UTC
python-markdown-2.1.0-1 has been built for rawhide.


Note You need to log in before you can comment on or make changes to this bug.